type
  SpeechString = string[255];

procedure Speech(S: SpeechString);
  external 'SPEECH.BIN';

procedure dayspeech(n: integer);  {speak days}
  begin
    case n of
      01:     speech(' s-uh-n-d-a-a');
      02:     speech(' m-uh-n-d-a-a');
      03:     speech(' t-oo-s-d-a-a');
      04:     speech(' w-eh-n-d-s-d-a-a');
      05:     speech(' th-uh-r-s-d-a-a');
      06:     speech(' f-r-i-d-a-a');
      07:     speech(' s-ae-t-u-r-d-a-a');
    end;
  end;{dayspeech}

procedure monspeech(n: integer);  {speak months}
  begin
    case n of
      01:     speech(' j-ae-n-y-oo-ae-r-ee');
      02:     speech(' f-eh-b-y-oo-ae-r-ee');
      03:     speech(' m-ah-r-ch');
      04:     speech(' a-p-r-ih-l');
      05:     speech(' m-a-y');
      06:     speech(' j-oo-n');
      07:     speech(' j-oo-l-i');
      08:     speech(' aw-g-uh-s-t');
      09:     speech(' s-eh-p-t-eh-m-b-u-r');
      10:     speech(' ah-k-t-oh-b-u-r');
      11:     speech(' n-oh-v-eh-m-b-u-r');
      12:     speech(' d-ee-s-eh-m-b-u-r');
   end;
  end; {monspeech}

procedure numdayspeech(n: integer);
  begin
    case n of
      01:           Speech(' f-ih-r-s-t');
      02:           Speech(' s-eh-k-uh-n-d');
      03:           Speech(' th-ih-r-d');
      04:           Speech(' f-oh-r-th');
      05:           Speech(' f-ih-f-f-th');
      06:           Speech(' s-ih-k-s-th');
      07:           Speech(' s-eh-v-eh-n-th');
      08:           Speech(' a-ee-t-th');
      09:           Speech(' n-i-n-th');
      10:           Speech(' t-eh-n-th');
      11:           Speech(' eh-l-eh-v-eh-n-th');
      12:           Speech(' t-w-eh-l-th');
      13:           Speech(' th-ih-r-t-ee-n-th');
      14:           Speech(' f-oh-r-t-ee-n-th');
      15:           Speech(' f-ih-f-t-ee-n-th');
      16:           Speech(' s-ih-k-s-t-ee-n-th');
      17:           Speech(' s-eh-v-eh-n-t-ee-n-th');
      18:           Speech(' a-ee-t-t-ee-n-th');
      19:           Speech(' n-i-n-t-ee-n-th');
      20:           speech(' t-w-eh-n-t-ee-eh-th');
      21..29:       begin
                      Speech(' t-w-eh-n-t-ee');
                      numdaySpeech(N - 20);
                    end;
      30:           speech(' th-ih-r-t-ee-eh-th');
      31:           begin
                      Speech(' th-ih-r-t-ee');
                      NumdaySpeech(N - 30);
                    end;
      end;
   end;{numdayspeech}

{ This procedure speaks the positive integers 1 through 32768. }
procedure NumSpeech(N: integer);
  begin
    case N of
      01:           Speech(' wh-uh-n');
      02:           Speech(' t-oo');
      03:           Speech(' th-r-ee');
      04:           Speech(' f-oh-r');
      05:           Speech(' f-i-v');
      06:           Speech(' s-ih-k-s');
      07:           Speech(' s-eh-v-eh-n');
      08:           Speech(' a-ee-t');
      09:           Speech(' n-i-n');
      10:           Speech(' t-eh-n');
      11:           Speech(' eh-l-eh-v-eh-n');
      12:           Speech(' t-w-eh-l-v');
      13:           Speech(' th-ih-r-t-ee-n');
      14:           Speech(' f-oh-r-t-ee-n');
      15:           Speech(' f-ih-f-t-ee-n');
      16:           Speech(' s-ih-k-s-t-ee-n');
      17:           Speech(' s-eh-v-eh-n-t-ee-n');
      18:           Speech(' a-ee-t-t-ee-n');
      19:           Speech(' n-i-n-t-ee-n');
      20..29:       begin
                      Speech(' t-w-eh-n-t-ee');
                      NumSpeech(N - 20);
                    end;
      30..39:       begin
                      Speech(' th-ih-r-t-ee');
                      NumSpeech(N - 30);
                    end;
      40..49:       begin
                      Speech(' f-oh-r-t-ee');
                      NumSpeech(N - 40);
                    end;
      50..59:       begin
                      Speech(' f-ih-f-t-ee');
                      NumSpeech(N - 50);
                    end;
      60..69:       begin
                      Speech(' s-ih-k-s-t-ee');
                      NumSpeech(N - 60);
                    end;
      70..79:       begin
                      Speech(' s-eh-v-eh-n-t-ee');
                      NumSpeech(N - 70);
                    end;
      80..89:       begin
                      Speech(' a-ee-t-ee');
                      NumSpeech(N - 80);
                    end;
      90..99:       begin
                      Speech(' n-i-n-t-ee');
                      NumSpeech(N - 90);
                    end;
      100..999:     begin
                      NumSpeech(N div 100);
                      Speech(' h-uh-n-d-r-eh-d');
                      NumSpeech(N mod 100);
                    end;
      1000..maxint: begin
                      NumSpeech(N div 1000);
                      Speech(' th-aw-u-s-ae-n-d');
                      NumSpeech(N mod 1000);
                    end;
    end;
  end {NumSpeech};
